Subject: Need to stack a ctrl-L after printing

From: [email-masked] (Michael Miller)
Date: Thu, 11 Jul 96 17:19:33 EDT

I have a 'generic' print command ( a perl program called UGAPRINT ) we
   would like to set as the default print command in Pine. The UGAPRINT
   command displays a menu of the student labs on campus as well as a
   'print-to-ansi' option. I do an open(MYTTY,'+>/dev/tty/') to get
   control of the screen to display the menu and interact with the user.
 
   It handles the piped input from Pine fine, but when it gets back to
   Pine, the screen is blank (or mostly blank) and one has to do a
   ctrl-L to redraw the screen. I'm looking for a way to 'stack' a
   ctrl-L after the print. Everything I do from my print program gets
   captured for display on the status line. I looked briefly at the
   Pine code and tried doing an  ungetc  at the end of  close_printer
   thinking that read_command would pick it up, but that approach did
   not seem to work.
 
   Any suggestion you have on how to approach this (like the best place
   in the Pine code to force a redraw after a print) would be appreciated.
   The brute force way appears to be duplicating secitons of code in routines
   addrbook.c , folder.c , help.c , mailcmd.c , mailview.c , and other.c
   but I want to avoid that if I can.
                                                  Thanks in Advance,
                                                      Michael